Bug 188482 - Review Request: scipy-0.4.8
Review Request: scipy-0.4.8
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-04-10 11:14 EDT by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-14 23:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-04-10 11:14:18 EDT
Spec Name or Url: http://nbecker.dyndns.org:8080/scipy-0.4.8.spec
SRPM Name or Url: http://nbecker.dyndns.org:8080/scipy-0.4.8.src.rpm
Description: scientific python.  This version is for numpy-0.9.6
Comment 1 Ed Hill 2006-04-29 11:14:50 EDT
Hi Neal, the two URLs return "404 Not Found" for me.  Is this submission
active?
Comment 3 Ed Hill 2006-05-01 11:16:09 EDT
Hi Neal, this isn't a full review, just a few quick observations:

 - Is this your first package?  If so, we'll add FE-NEEDSPONSOR per:
     http://fedoraproject.org/wiki/Extras/Contributors
 - incorrect BuildRoot:
     http://fedoraproject.org/wiki/Packaging/Guidelines
 - please either make Source0 a full URL or indicate (with some 
     comments in the spec file) how one can generate the tar-ball 
     from, for instance, the upstream CVS [this is so we can more 
     easily verify that source matches upstream] 
 - please remove Prefix and Vendor
 - please add a changelog
 - please consider changing %defattr(-,root,root) to 
     %defattr(-,root,root,-)

You might want to take a look at the review guidelines:

  http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

and build your rpm in mock ("yum install mock") and run your generated 
RPM through rpmlint ("yum install rpmlint") to see if you might find any 
other items -- it could make the job easier easier for reviewers!
Comment 4 Neal Becker 2006-05-03 20:08:44 EDT
OK, I have uploaded scipy-0.4.8-2.  I have tried to address the comments.

I did not use mach, because the setup looks a bit involved.  I did try to 
supply requires and buildrequires manually.

I did run rpmlint.  There are some complaints, but I think they are ignorable.

I removed d1mach patch.  If you have the latest FC5 gcc I think the bug has 
been fixed.  Is it safe to assume nobody will try to use older gcc?

http://nbecker.dyndns.org:8080/scipy.spec
http://nbecker.dyndns.org:8080/scipy-0.4.8-2.src.rpm
Comment 5 Ed Hill 2006-05-06 13:15:31 EDT
Hi Neal, heres a few more comments (not a thorough review):

good:
 + license is OK: its BSD-w/o-advertise-clause
 + source matches upstream

needswork:
 - missing license file (please add "%doc LICENSE.txt")
 - missing "BuildRequires: numpy"
 - please use "%setup -q"

Also, *please* build your package locally in mock.  The commands are:

 1) yum install mock
 2) add yourself to the mock group (vi /etc/group)
 3) log out/in for group addition to take full effect
 4) run "mock -r fedora-5-i386-core scipy-0.4.8-2.src.rpm"

and it will help you identify problems.  Its a very good idea since 
mock is what the buildsystem itself uses.
Comment 6 Neal Becker 2006-05-08 14:43:07 EDT
I believe I have done all that was requested.  Updated srpm is here
http://nbecker.dyndns.org:8080/scipy-0.4.8-3.src.rpm
Comment 7 Neal Becker 2006-05-08 15:09:42 EDT
Sorry make that:
http://nbecker.dyndns.org:8080/scipy-0.4.8-4.src.rpm
Comment 8 Laurent Rineau 2006-05-16 09:15:53 EDT
Mass-block FE-NEEDSPONSOR for the six review requests¹ of Neal Becker. Neal, 
when you get sponsorship, you will have to unblock it for all your requests.

¹) Actually the four that do not block yet FE-NEEDSPONSOR.
Comment 9 Ed Hill 2006-05-16 10:25:19 EDT
Hi Neal, this is still not a complete review but we have at this point 
covered a number of the review items.

good:
 + builds in mock on FC5 i386
 + dir ownership appears to be OK
 + permissions look OK

needswork:
 - rpmlint returns 168 errors/warnings of which 167 are:

     126 are devel-file-in-non-devel-package
     39  are non-executable-script
     2   are script-without-shellbang

   and these can probably be safely ignored.  The one remaining 
   warning is:

       W: scipy summary-ended-with-dot Scipy: array processing 
          for numbers, strings, records, and objects.

   and you can easily fix it.

questions:
 1) There are a number of files in directories of the form 
      %{python_sitearch}/scipy/*/tests/*
    and
      %{python_sitearch}/scipy/*/examples/* 
    Perhaps they should go in sub-packages such as scipy-test and 
    scipy-docs or similar?  Whats your opinion of putting them in 
    sub-packages?
 2) What is your sponsorship status?  Are any of the other packages 
    you submitted closer to passing review?  I'm just a little leery 
    about sponsoring you since I'm not familiar with any of the other 
    packages and just don't have enough free time to learn about them.

Note You need to log in before you can comment on or make changes to this bug.